<script type="text/javascript">
// <![CDATA[
jQuery(document).ready(function($){
	$('#sorozatszamdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		buttons: {
			'<?=lang("send")?>': function(){
				if( sorozatszamcheck() ){
					$('#sorozatszamform').submit();
					$('#sorozatszamdoboz').dialog('close');
				}
			},
			'<?=lang("forum_megsem")?>': function(){
				$('#sorozatszamdoboz').dialog('close');
			}
		}
	});
	
	
	$('.inditas').click(function(){
		
		var con = $('#sorozatszamform');
		$('#verid', con).val($(this).attr('verid'));
		
		if( $(this).attr('ev') == "2010" ){
			$('#addmeg').html('<strong><?=lang('frissites_adjamegsorozatsz2010')?>: </strong>');
		}
		else if( $(this).attr('ev') == "2011" ){
			$('#addmeg').html('<strong><?=lang('frissites_adjamegsorozatsz2011')?>: </strong>');
		}
		else if( $(this).attr('ev') == "2012" ){
			$('#addmeg').html('<strong><?=lang('frissites_adjamegsorozatsz2012')?>: </strong>');
		}
		else if( $(this).attr('ev') == "2013" ){
			$('#addmeg').html('<strong><?=lang('frissites_adjamegsorozatsz2013')?>: </strong>');
		}
		else{
			$('#addmeg').html('<strong><?=lang('frissites_adjamegsorozatsz2014')?>: </strong>');
		}
		
		$('#sorozatszamdoboz').dialog('open');
		$('div..ui-widget-content').css({'background': '#ffe'});
		
		return false;
	});
	
	
	$('.bezargomb').click(function(){
		$('#sorozatszamdoboz').dialog('close');
		return false;
	});
	
	$('.numeric').numeric();
	
});


function sorozatszamcheck(){
	var osorozatszam = document.getElementById('sorozatszam');
	var error ="";
	
	/* Ellenőrzések */
	
	if( osorozatszam.value == "" ){
		error += "<?=lang('render_hianyzokupon')?>";
		osorozatszam.style.background = '#F9D3D3';
	}else if( osorozatszam.value.length != 16 ){
		error += "Hibás sorozatszám! ";
		osorozatszam.style.background = '#F9D3D3';
	}
	else{
		osorozatszam.style.background = '';
	}
	
	
	if( error != ""  ){
		return false;
	}else{
		return true;
	}
}

function kiiro(uzenet) {
	alert(uzenet)
}

<?/*
function megnyit(fajl){
//	alert("fajl: "+fajl);
	//window.open(fajl);
	window.location.href=fajl;
}*/?>

// ]]>
</script>

<div style="display: none; text-align: left;" id="sorozatszamdoboz" title="<?=lang('download')?>">
	<div id="addmeg"><strong><?=lang('pwd_lbl')?>:</strong></div>
	<form action="/version/submit" method="post" id="sorozatszamform" target="serverAction">
	<input type="hidden" name="verid" id="verid" value="" />
	<input type="text" name='sorozatszam' id='sorozatszam' value='' class="numeric" maxlength="16" style="width: 130px;" />
	</form>
</div>


<iframe id="serverAction" name="serverAction" src="about:blank" style="width:0px; height:0px; border: 0px"></iframe>



<div style="padding: 5px 0 0 5px;">

<?if(hun()):?>
	<? $lap = $this->mpages->get_row(587); ?>
<?else:?>
	<? $lap = $this->mpages->get_row(588);?>
<?endif;?>

<?
	$kezdo = "<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\" style='width: 800px;'>\n";
	$kezdo .= "<tr>\n\t<th style='width: 120px'>".lang('date_lbl')."</th>";
	$kezdo .= "\n\t<th style='width: 90px'>".lang('frissites_info')."</th>";
	$kezdo .= "\n\t<th style='width: 120px'>".lang('type_lbl')." *</th>";
	$kezdo .= "\n\t<th style='width: 50px'>".lang('download')."</th>";
	$kezdo .= "\n\t<th style='width: 420px'>".lang('frissites_focus')."</th>\n</tr>";
	$vege = "</table>";
//	$reszek = explode('#tablazat#',$lap->page_body);
	foreach($frissitesek as $frissites){
		$frissites->tipusdesc = lang('frissites_'.strtolower($frissites->tipus));
		if(hun()){
			$frissites->doksi = $frissites->doksi_hun;
			$frissites->leiras = $frissites->leiras_hun;
			$frissites->tipus = str_replace(
			array("Major","RP","Other","32-bit major","64-bit major"),
			array("Főváltozat","Hibajavító változat","Egyéb","32 bites főváltozat","64 bites főváltozat"),$frissites->tipus);
		}
		
		if(!isset($tabla[$frissites->ev]))
			$tabla[$frissites->ev] = $kezdo;
		
		$tabla[$frissites->ev] .= "\n<tr>";
		$tabla[$frissites->ev] .= "\n\t<td>".substr($frissites->datum,0,16)."</td>";
		$tabla[$frissites->ev] .= "\n\t<td>";
		if(file_exists('public/downloads/'.$frissites->doksi) && is_file('public/downloads/'.$frissites->doksi) )
			$tabla[$frissites->ev] .= "<a href=\"/public/downloads/".$frissites->doksi."\">".$frissites->pkgid."</a>";
		elseif($frissites->doksi != "" && substr($frissites->doksi,-4) != ".pdf" && $frissites->doksi != "0" )
			$tabla[$frissites->ev] .= "<a href=\"".$frissites->doksi."\"><strong>".$frissites->pkgid."</strong></a>";
		else
			$tabla[$frissites->ev] .= $frissites->pkgid;
		$tabla[$frissites->ev] .= "</td>";
		$tabla[$frissites->ev] .= "\n\t<td><font title='".$frissites->tipusdesc."'>".$frissites->tipus."</font></td>";
		$tabla[$frissites->ev] .= "\n\t<td>";
		if(file_exists('public/downloads/'.$frissites->fajl) && is_file('public/downloads/'.$frissites->fajl) )
			$tabla[$frissites->ev] .= "<a href=\"#\" class=\"inditas\"  verid =\"".$frissites->ver_id."\" ev=\"".$frissites->ev."\"> ".lang('download')."</a>";
		else
			$tabla[$frissites->ev] .= "&nbsp;";
		$tabla[$frissites->ev] .= "</td>";
		$tabla[$frissites->ev] .= "\n\t<td>".$frissites->leiras."</td>";
		$tabla[$frissites->ev] .= "\n</tr>";
	}
	
	foreach($tabla as $k=>$tev){
		$tev .= $vege;
		$cserelendo = '#tablazat'.$k.'#';
		$lap->page_body = str_ireplace($cserelendo, $tev, /*$reszek[0]*/$lap->page_body);
	//	print " cserélendő: ".$cserelendo;
	}
	
	$reszek = explode('#tablazat#',$lap->page_body);
?>

<h1><?=$lap->page_title?></h1>

<?=$lap->page_body?>


</div>